package com.bocloud.cmp.model.jumpserver;

import com.bocloud.cmp.model.DepartmentBean;

import java.util.Map;

public class ResourceGroup {
    private Long id;
    private String name;
    private DepartmentBean department;
    private String description;
    private Boolean hasDescription; // 是否有描述信息，3.0有，5.0没有
    private Map<String, Object> extra;
    private Long tenantId;
    private Long projectId;

    public ResourceGroup() {
    }

    public ResourceGroup(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void
    setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public DepartmentBean getDepartment() {
        return department;
    }

    public void setDepartment(DepartmentBean department) {
        this.department = department;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Map<String, Object> getExtra() {
        return extra;
    }

    public void setExtra(Map<String, Object> extra) {
        this.extra = extra;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Boolean getHasDescription() {
        return hasDescription;
    }

    public void setHasDescription(Boolean hasDescription) {
        this.hasDescription = hasDescription;
    }
}
